MediaCarouselsController_show
POST
/api/chat/media-carousels
const url = 'https://api.streams.chat/api/chat/media-carousels';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"heading":"example","items":[{"assetId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","title":"example","description":"example","alt":"example","posterAssetId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}],"requestId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","streamId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","threadSessionId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","replyToMessageId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.streams.chat/api/chat/media-carousels \ --header 'Content-Type: application/json' \ --data '{ "heading": "example", "items": [ { "assetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "title": "example", "description": "example", "alt": "example", "posterAssetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ], "requestId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "streamId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "threadSessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "replyToMessageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
heading
string
items
required
Array<object>
object
assetId
required
string format: uuid
title
string
description
string
alt
string
posterAssetId
string format: uuid
requestId
required
string format: uuid
streamId
required
string format: uuid
threadSessionId
string format: uuid
replyToMessageId
string format: uuid
Examplegenerated
{ "heading": "example", "items": [ { "assetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "title": "example", "description": "example", "alt": "example", "posterAssetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ], "requestId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "streamId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "threadSessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "replyToMessageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}